Forum Linux.debian/ubuntu Installation carte Intel Lenovo T410

Posté par .
Tags : aucun
2
18
juin
2011

Hello,

Je viens enfin d'avancer un peu dans l'installation de mon nouveau portable sous Debian (testing).
Cependant, j'ai l'impression que la carte vidéo n'est pas correctement reconnue (mode vga).

lspci
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)

glxinfo
name of display: :0.0
Error: couldn't find RGB GLX visual or fbconfig

J'ai pas de fichier xorg.conf dans /etc/X11/.

dpkg-reconfigure xserver-xorg me rend tout de suite la main.

Merci de votre aide.

  • # xrandr

    Posté par . Évalué à 4.

    Le glxinfo est normal, le xorg.conf aussi et le dpkg-reconfigure xserver-xorg tout autant.

    Configure ton écran avec xrandr.

    • [^] # Re: xrandr

      Posté par . Évalué à 1.

      Merci pour le retour.

      Pour moi xrand permet de configurer l'affichage mais j'ai l'impression que ce n'est pas le bon drivers qui est utilisé et je sais pas comment faire pour déterminer, installer et chercher le bon.

      • [^] # Re: xrandr

        Posté par . Évalué à 2.

        en cherchant sur internet quelle pilote fonctionne pour ta carte

        • [^] # Re: xrandr

          Posté par . Évalué à 1.

          En fait, la carte est d'après le lspci de chipset intel et j'ai bien le package xserver-xorg-video-intel d'installé.

          Le nom renvoyé par lspci ne semble pas très explicite. Est-ce qu'il y a moyen d'avoir mieux ?

          Sinon, je sais pas trop comment voir quel est le drivers actuellement utilisé par Xorg.

          Merci.

          • [^] # Re: xrandr

            Posté par . Évalué à 1.

            En fait après quelques recherches, je suis tombé ici http://www.thinkwiki.org/wiki/Intel_HD_Graphics

            Normalement, j'ai tout ce qu'il faut:

            uname -a

            Linux T410 2.6.38-2-amd64 #1 SMP Sun May 8 13:51:57 UTC 2011 x86_64 GNU/Linux
            

            aptitude show xserver-xorg-video-intel

            Paquet : xserver-xorg-video-intel             
            État: installé
            Automatiquement installé: oui
            Version : 2:2.15.0-3
            Priorité : optionnel
            Section : x11
            Responsable : Debian X Strike Force <debian-x@lists.debian.org>
            Taille décompressée : 848 k
            Dépend: libc6 (>= 2.2.5), libdrm-intel1 (>= 2.4.23-3~), libdrm2 (>= 2.4.17), libpciaccess0 (>= 0.8.0+git20071002), libudev0 (>= 146), xorg-video-abi-10,
                     xserver-xorg-core (>= 2:1.9.99.903)
            Fournit: xorg-driver-video
            Description : X.Org X server -- Intel i8xx, i9xx display driver
             This package provides the driver for the Intel i8xx and i9xx family of chipsets, including i810, i815, i830, i845, i855, i865, i915, i945 and i965 series
             chips. 
            
             This package also provides XvMC (XVideo Motion Compensation) drivers for i810/i815 and i9xx and newer chipsets. 
            
             More information about X.Org can be found at: <URL:http://www.X.org> 
            
             This package is built from the X.org xf86-video-intel driver module.
            

            aptitude show xorg

            Paquet : xorg                                 
            État: installé
            Automatiquement installé: non
            Version : 1:7.6+7
            Priorité : optionnel
            Section : x11
            Responsable : Debian X Strike Force <debian-x@lists.debian.org>
            Taille décompressée : 81,9 k
            Dépend: xserver-xorg (>= 1:7.6+7), libgl1-mesa-glx | libgl1, libgl1-mesa-dri, libglu1-mesa, xfonts-base (>= 1:1.0.0-1), xfonts-100dpi (>= 1:1.0.0-1),
                     xfonts-75dpi (>= 1:1.0.0-1), xfonts-scalable (>= 1:1.0.0-1), x11-apps, x11-session-utils, x11-utils, x11-xfs-utils, x11-xkb-utils,
                     x11-xserver-utils, xauth, xinit, xfonts-utils, xkb-data, xorg-docs-core, xterm | x-terminal-emulator
            Suggère: xorg-docs
            Fournit: x-window-system, x-window-system-core
            Description : X.Org X Window System
             This metapackage provides the components for a standalone workstation running the X Window System.  It provides the X libraries, an X server, a set of
             fonts, and a group of basic X clients and utilities. 
            
             Higher level metapackages, such as those for desktop environments, can depend on this package and simplify their dependencies. 
            
             It should be noted that a package providing x-window-manager should also be installed to ensure a comfortable X experience.
            

            Des idées ?

            Merci.

  • # commencer par chercher ton proc et en deduire ta carte

    Posté par . Évalué à 2.

    http://en.wikipedia.org/wiki/Intel_GMA
    fournit un joli tableau qui explique quel "carte" est fournie par quel chipset/processeur

    dans ton cas ca semble plutot etre :
    - HD Graphics (GMA HD)
    - HD Graphics 2000
    - HD Graphics 3000

    il faut donc chercher dans ton gestionnaire de paquet s'il y a un paquet qui fournit le support pour ces cartes

  • # Pas le bon moment

    Posté par (page perso) . Évalué à 2.

    Ce n'était sans doute juste pas le bon moment de mettre testing à jour, xorg et mesa sont justement en chantier pour supporter le multiarch: http://blog.mraw.org/2011/06/18/mesa_a_disturbance_in_the_Force/

  • # En fait ...

    Posté par . Évalué à 1.

    ... après avoir fait quelques recherches j'ai identifié le modèle de ma carte http://www.thinkwiki.org/wiki/Intel_HD_Graphics et je dois avoir les bon packages (cf. http://linuxfr.org/nodes/86508/comments/1244722).

    J'ai essayé de voir dans les logs mais c'est plutôt verbeux.

    J'ai filtré sur les erreurs mais je sais pas trop comment procéder pour identifier le problème.

    grep "(EE)" /var/log/Xorg.0.log
    (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
    15.790 AIGLX error: dlopen of /usr/lib/x86_64-linux-gnu/dri/i965_dri.so failed (/usr/lib/x86_64-linux-gnu/dri/i965_dri.so: cannot open shared object file: No such file or directory)
    15.790 AIGLX: reverting to software rendering
    15.791 AIGLX error: dlopen of /usr/lib/x86_64-linux-gnu/dri/swrast_dri.so failed (/usr/lib/x86_64-linux-gnu/dri/swrast_dri.so: cannot open shared object file: No such file or directory)
    15.791 GLX: could not load software renderer
    17.068 Query no Synaptics: 6003C8
    17.068 SynPS/2 Synaptics TouchPad Unable to query/initialize Synaptics hardware.
    17.108 PreInit returned 11 for "SynPS/2 Synaptics TouchPad"

    Voilà. Si quelqu'un à des pistes pour identifier le problème, je suis preneur.

    Merci.

    • [^] # Re: En fait ...

      Posté par . Évalué à 1.

      J'ai cherché un peu plus pour les deux erreurs de dlopen.

      Du coup, j'ai fait un petit:
      apt-file search /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
      apt-file search /usr/lib/x86_64-linux-gnu/dri/swrast_dri.so

      Le package manquant serait libgl1-mesa-dri.

      Cependant, il est déjà installé sur ma machine ... Et quand je fais un dpkg -L libgl1-mesa-dri
      ...
      /usr/lib/dri/swrast_dri.so
      /usr/lib/dri/i965_dri.so
      ...

      Les fichiers sont là mais pas au bon endroit. Du coup j'ai ajouté un lien symbolique via ln -s /usr/lib/dri/ /usr/lib/x86_64-linux-gnu/dri.

      J'ai plus ces deux erreurs et glxinfo me renvoie qqchose.
      glxdemo m'affiche juste un rectangle jaune et quand je ferme j'ai eu les erreurs suivantes:
      Resize event
      Resize event
      Redraw event
      XIO: fatal IO error 11 (Resource temporarily unavailable) on X server ":0.0"
      after 28 requests (28 known processed) with 0 events remaining.

      L'affaire continue.

      Merci.

      PS: Je suis perplexe devant la différence de résultat entre le apt-file et dpkg -L. Là, aussi si quelqu'un peut me donner des renseignements, je suis preneur.

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.